#2 Can't compile current CVS

closed
nobody
5
2006-01-17
2005-12-16
Anonymous
No

Hello,

I just downloaded the current source-code from CVS.
But I get the following errors:

/usr/src/Alsa/Software/muse# ./autogen.sh
automake version: 1.9.5 (ok)
autoconf version: 2.59 (ok)
libtool version: 1.4.3 (ok)
pkg-config: /usr/bin/pkg-config
pkg-config version: 0.17.2 (ok)
generating build system.....configure.ac:7: version
mismatch. This is Automake 1.9.5,
configure.ac:7: but the definition used by this
AM_INIT_AUTOMAKE
configure.ac:7: comes from Automake 1.4-p6. You should
recreate
configure.ac:7: aclocal.m4 with aclocal and run
automake again.
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
muse/Makefile.am: C objects in subdir but
`AM_PROG_CC_C_O' not in `configure.ac'
/usr/share/automake-1.9/am/depend2.am: am__fastdepCC
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: am__fastdepCXX
does not appear in AM_CONDITIONAL
/usr/share/automake-1.9/am/depend2.am: AMDEP does not
appear in AM_CONDITIONAL

I noticed that message:
generating build system.....configure.ac:7: version
mismatch. This is Automake 1.9.5,
configure.ac:7: but the definition used by this
AM_INIT_AUTOMAKE
configure.ac:7: comes from Automake 1.4-p6. You should
recreate
configure.ac:7: aclocal.m4 with aclocal and run
automake again.

But when I start aclocal I get the following messages:
/usr/src/Alsa/Software/muse# aclocal
aclocal: configure.ac: 10: macro `AM_ACLOCAL_INCLUDE'
not found in library

Greetings from Munich,
Torben

Discussion

  • Robert Jonsson
    Robert Jonsson
    2005-12-17

    Logged In: YES
    user_id=81832

    Hi,

    First of, HEAD is in deep rewrite-mode and is currently not
    usable. Though if you are just curious ;) it should be
    possible to build it.

    As for the error you have tripped on I haven't seen
    it.

    automake version: 1.9.4 (ok)
    autoconf version: 2.59 (ok)
    libtool version: 1.5.18 (ok)
    Works for ./autogen.sh on my system.

     
  • Robert Jonsson
    Robert Jonsson
    2006-01-01

    Logged In: YES
    user_id=81832

    out of time

     
  • Robert Jonsson
    Robert Jonsson
    2006-01-01

    • status: open --> pending
     
  • Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
    • status: pending --> closed